import std;
import Crafter.Build;
namespace fs = std::filesystem;
using namespace Crafter;

extern "C" Configuration CrafterBuildProject(std::span<const std::string_view> args) {
    Configuration* graphics = LocalProject({
        .projectFile = "../../project.cpp",
        .args = std::vector<std::string>(args.begin(), args.end()),
    });

    Configuration cfg;
    cfg.path = "./";
    cfg.name = "HelloWindow";
    cfg.outputName = "HelloWindow";
    ApplyStandardArgs(cfg, args);
    cfg.dependencies = { graphics };

    std::array<fs::path, 0> ifaces = {};
    std::array<fs::path, 1> impls = { "main" };
    cfg.GetInterfacesAndImplementations(ifaces, impls);
    return cfg;
}
